#pragma once
#include <Arduino.h>
//#include <CAN.h>
//#include <ESP32SJA1000.h>


class can_control
{
private:
  static void onReceive(int packetSize);

public:
  can_control();  // 构造函数
  ~can_control(); // 析构函数
  bool init();
  void update();
  void send_data(int16_t iq1,byte* candata);
};
